Update Address
1 min
PUT
https://api.upstartcommerce.com/v1/location/{locationId}/address
locationIdstringUnique identifier to reference a specific location resource.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectAddress to update the location with.
200<p>Success-address updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/location/{locationId}/address \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"city": "",
"country": "",
"postalCode": "",
"stateOrRegion": "",
"street1": ""
}'